Functions
Clock Configuration
Peripheral Driver » LL Driver » CGC » Functions
Collaboration diagram for Clock Configuration:

## Functions
__STATIC_INLINE void | ll_cgc_set_wfi_off_hclk_0 (uint32_t clk_mask)
| Some peripherals automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_get_wfi_off_hclk_0 (void)
| Return to clock blocks that is turned off during WFI. More...
__STATIC_INLINE void | ll_cgc_set_wfi_off_hclk_1 (uint32_t clk_mask)
| Some peripherals automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_get_wfi_off_hclk_1 (void)
| Return to clock blocks that is turned off during WFI. More...
__STATIC_INLINE void | ll_cgc_set_wfi_off_hclk_2 (uint32_t clk_mask)
| Some peripherals automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_get_wfi_off_hclk_2 (void)
| Return to clock blocks that is turned off during WFI. More...
__STATIC_INLINE void | ll_cgc_set_force_off_hclk_0 (uint32_t clk_mask)
| Some peripherals force turn off clock. More...
__STATIC_INLINE uint32_t | ll_cgc_get_force_off_hclk_0 (void)
| Return to clock blocks that was forcibly closed. More...
__STATIC_INLINE void | ll_cgc_set_force_off_hclk_1 (uint32_t clk_mask)
| Some peripherals force turn off clock. More...
__STATIC_INLINE uint32_t | ll_cgc_get_force_off_hclk_1 (void)
| Return to clock blocks that was forcibly closed. More...
__STATIC_INLINE void | ll_cgc_set_force_off_hclk_2 (uint32_t clk_mask)
| Some peripherals force turn off clock. More...
__STATIC_INLINE uint32_t | ll_cgc_get_force_off_hclk_2 (void)
| Return to clock blocks that was forcibly closed. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_secu_hclk (void)
| Enable security blocks(including AES, PKC, Present, HMAC) automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_secu_hclk (void)
| Disable security blocks(including AES, PKC, Present, HMAC) automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_secu_hclk (void)
| Indicate whether the security blocks(including AES, PKC, Present, HMAC) automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_sim_hclk (void)
| Enable SIM automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_sim_hclk (void)
| Disable SIM automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_sim_hclk (void)
| Indicate whether the SIM automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_htb_hclk (void)
| Enable Hopping Table automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_htb_hclk (void)
| Disable Hopping Table automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_htb_hclk (void)
| Indicate whether the Hopping Table automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_pwm_hclk (void)
| Enable PWM automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_pwm_hclk (void)
| Disable PWM automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_pwm_hclk (void)
| Indicate whether the PWM automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_rom_hclk (void)
| Enable ROM automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_rom_hclk (void)
| Disable ROM automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_rom_hclk (void)
| Indicate whether the ROM automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_snsadc_hclk (void)
| Enable SNSADC automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_snsadc_hclk (void)
| Disable SNSADC automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_snsadc_hclk (void)
| Indicate whether the SNSADC automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_gpio_hclk (void)
| Enable GPIO automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_gpio_hclk (void)
| Disable GPIO automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_gpio_hclk (void)
| Indicate whether the GPIO automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_dma_hclk (void)
| Enable DMA automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_dma_hclk (void)
| Disable DMA automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_dma_hclk (void)
| Indicate whether the DMA automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_ble_brg_hclk (void)
| Enable BLE Bridge automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_ble_brg_hclk (void)
| Disable BLE Bridge automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_ble_brg_hclk (void)
| Indicate whether the BLE Bridge automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_apb_sub_hclk (void)
| Enable APB Subsystem automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_apb_sub_hclk (void)
| Disable APB Subsystem automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_apb_sub_hclk (void)
| Indicate whether the APB Subsystem automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_serial_hclk (void)
| Enable serial blocks(including I2C, UART, QSPI, I2S, SPI) automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_serial_hclk (void)
| Disable serial blocks(including I2C, UART, QSPI, I2S, SPI) automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_serial_hclk (void)
| Indicate whether the serial blocks(including I2C, UART, QSPI, I2S, SPI) automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_i2s_s_hclk (void)
| Enable I2S slave automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_i2s_s_hclk (void)
| Disable I2S slave automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_i2s_s_hclk (void)
| Indicate whether the I2S slave automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_aon_mcusub_hclk (void)
| Enable AON_MUCSUB automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_aon_mcusub_hclk (void)
| Disable AON_MUCSUB automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_aon_mcusub_hclk (void)
| Indicate whether the AON_MUCSUB automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_xqspi_hclk (void)
| Enable XQSPI automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_xqspi_hclk (void)
| Disable XQSPI automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_xqspi_hclk (void)
| Indicate whether the XQSPI automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_sram_hclk (void)
| Enable SRAM automatic turn off clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_sram_hclk (void)
| Disable SRAM automatic turn off clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_sram_hclk (void)
| Indicate whether the SRAM automatic turn off clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_secu_div4_hclk (void)
| Enable security blocks automatic turn off div4 clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_secu_div4_hclk (void)
| Disable security blocks automatic turn off div4 clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_secu_div4_hclk (void)
| Indicate whether the security blocks automatic turn off div4 clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_wfi_off_xqspi_div4_hclk (void)
| Enable XQSPI automatic turn off div4 clock during WFI. More...
__STATIC_INLINE void | ll_cgc_disable_wfi_off_xqspi_div4_hclk (void)
| Disable XQSPI automatic turn off div4 clock during WFI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_wfi_off_xqspi_div4_hclk (void)
| Indicate whether the XQSPI automatic turn off div4 clock is enabled. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_secu_hclk (void)
| Enabling force to turn off the clock for security blocks(including AES, PKC, Present, HMAC). More...
__STATIC_INLINE void | ll_cgc_disable_force_off_secu_hclk (void)
| Disabling force to turn off the clock for security blocks(including AES, PKC, Present, HMAC). More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_secu_hclk (void)
| Indicate whether the clock for security blocks(including AES, PKC, Present, HMAC) is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_sim_hclk (void)
| Enabling force to turn off the clock for SIM. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_sim_hclk (void)
| Disabling force to turn off the clock for SIM. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_sim_hclk (void)
| Indicate whether the clock for SIM is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_htb_hclk (void)
| Enabling force to turn off the clock for Hopping Table. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_htb_hclk (void)
| Disabling force to turn off the clock for Hopping Table. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_htb_hclk (void)
| Indicate whether the clock for Hopping Table is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_pwm_hclk (void)
| Enabling force to turn off the clock for PWM. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_pwm_hclk (void)
| Disabling force to turn off the clock for PWM. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_pwm_hclk (void)
| Indicate whether the clock for PWM is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_rom_hclk (void)
| Enabling force to turn off the clock for ROM. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_rom_hclk (void)
| Disabling force to turn off the clock for ROM. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_rom_hclk (void)
| Indicate whether the clock for ROM is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_snsadc_hclk (void)
| Enabling force to turn off the clock for SNSADC. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_snsadc_hclk (void)
| Disabling force to turn off the clock for SNSADC. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_snsadc_hclk (void)
| Indicate whether the clock for SNSADC is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_gpio_hclk (void)
| Enabling force to turn off the clock for GPIO. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_gpio_hclk (void)
| Disabling force to turn off the clock for GPIO. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_gpio_hclk (void)
| Indicate whether the clock for GPIO is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_dma_hclk (void)
| Enabling force to turn off the clock for DMA. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_dma_hclk (void)
| Disabling force to turn off the clock for DMA. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_dma_hclk (void)
| Indicate whether the clock for DMA is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_ble_brg_hclk (void)
| Enabling force to turn off the clock for BLE Bridge. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_ble_brg_hclk (void)
| Disabling force to turn off the clock for BLE Bridge. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_ble_brg_hclk (void)
| Indicate whether the clock for BLE Bridge is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_apb_sub_hclk (void)
| Enabling force to turn off the clock for APB Subsystem. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_apb_sub_hclk (void)
| Disabling force to turn off the clock for APB Subsystem. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_apb_sub_hclk (void)
| Indicate whether the clock for APB Subsystem is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_serial_hclk (void)
| Enabling force to turn off the clock for serial blocks(including I2C, UART, QSPI, I2S, SPI). More...
__STATIC_INLINE void | ll_cgc_disable_force_off_serial_hclk (void)
| Disabling force to turn off the clock for serial blocks(including I2C, UART, QSPI, I2S, SPI). More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_serial_hclk (void)
| Indicate whether the clock for serial blocks(including I2C, UART, QSPI, I2S, SPI) is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_i2s_s_hclk (void)
| Enabling force to turn off the clock for I2S slave. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_i2s_s_hclk (void)
| Disabling force to turn off the clock for I2S slave. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_i2s_s_hclk (void)
| Indicate whether the clock for I2S slave is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_aon_mcusub_hclk (void)
| Enabling force to turn off the clock for AON_MUCSUB. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_aon_mcusub_hclk (void)
| Disabling force to turn off the clock for AON_MUCSUB. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_aon_mcusub_hclk (void)
| Indicate whether the clock for AON_MUCSUB is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_xqspi_hclk (void)
| Enabling force to turn off the clock for XQSPI. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_xqspi_hclk (void)
| Disabling force to turn off the clock for XQSPI. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_xqspi_hclk (void)
| Indicate whether the clock for XQSPI is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_sram_hclk (void)
| Enabling force to turn off the clock for SRAM. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_sram_hclk (void)
| Disabling force to turn off the clock for SRAM. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_sram_hclk (void)
| Indicate whether the clock for SRAM is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_uart0_hclk (void)
| Enabling force to turn off the clock for UART0. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_uart0_hclk (void)
| Disabling force to turn off the clock for UART0. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_uart0_hclk (void)
| Indicate whether the clock for UART0 is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_uart1_hclk (void)
| Enabling force to turn off the clock for UART1. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_uart1_hclk (void)
| Disabling force to turn off the clock for UART1. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_uart1_hclk (void)
| Indicate whether the clock for UART1 is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_i2c0_hclk (void)
| Enabling force to turn off the clock for I2C0. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_i2c0_hclk (void)
| Disabling force to turn off the clock for I2C0. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_i2c0_hclk (void)
| Indicate whether the clock for I2C0 is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_i2c1_hclk (void)
| Enabling force to turn off the clock for I2C1. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_i2c1_hclk (void)
| Disabling force to turn off the clock for I2C1. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_i2c1_hclk (void)
| Indicate whether the clock for I2C1 is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_spim_hclk (void)
| Enabling force to turn off the clock for SPIM. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_spim_hclk (void)
| Disabling force to turn off the clock for SPIM. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_spim_hclk (void)
| Indicate whether the clock for SPIM is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_spis_hclk (void)
| Enabling force to turn off the clock for SPIS. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_spis_hclk (void)
| Disabling force to turn off the clock for SPIS. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_spis_hclk (void)
| Indicate whether the clock for SPIS is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_qspi0_hclk (void)
| Enabling force to turn off the clock for QSPI0. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_qspi0_hclk (void)
| Disabling force to turn off the clock for QSPI0. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_qspi0_hclk (void)
| Indicate whether the clock for QSPI0 is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_qspi1_hclk (void)
| Enabling force to turn off the clock for QSPI1. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_qspi1_hclk (void)
| Disabling force to turn off the clock for QSPI1. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_qspi1_hclk (void)
| Indicate whether the clock for QSPI1 is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_i2s_m_hclk (void)
| Enabling force to turn off the clock for I2S master. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_i2s_m_hclk (void)
| Disabling force to turn off the clock for I2S master. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_i2s_m_hclk (void)
| Indicate whether the clock for I2S master is forced to close. More...
__STATIC_INLINE void | ll_cgc_enable_force_off_secu_div4_pclk (void)
| Enabling force to turn off the div4 clock for security blocks. More...
__STATIC_INLINE void | ll_cgc_disable_force_off_secu_div4_pclk (void)
| Disabling force to turn off the div4 clock for security blocks. More...
__STATIC_INLINE uint32_t | ll_cgc_is_enabled_force_off_secu_div4_pclk (void)
| Indicate whether the div4 clock for security blocks is forced to close. More...

## Detailed Description

## Function Documentation

## ◆ ll_cgc_disable_force_off_aon_mcusub_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_aon_mcusub_hclk | ( | void |  | ) |

Disabling force to turn off the clock for AON_MUCSUB.

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK

Return values

  None |

Definition at line 2037 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_apb_sub_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_apb_sub_hclk | ( | void |  | ) |

Disabling force to turn off the clock for APB Subsystem.

Register | BitsName
--- | ---
CG_CTRL_1 | APB_SUB_HCLK

Return values

  None |

Definition at line 1887 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_ble_brg_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_ble_brg_hclk | ( | void |  | ) |

Disabling force to turn off the clock for BLE Bridge.

Register | BitsName
--- | ---
CG_CTRL_1 | BLE_BRG_HCLK

Return values

  None |

Definition at line 1837 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_dma_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_dma_hclk | ( | void |  | ) |

Disabling force to turn off the clock for DMA.

Register | BitsName
--- | ---
CG_CTRL_1 | DMA_HCLK

Return values

  None |

Definition at line 1787 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_gpio_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_gpio_hclk | ( | void |  | ) |

Disabling force to turn off the clock for GPIO.

Register | BitsName
--- | ---
CG_CTRL_1 | GPIO_HCLK

Return values

  None |

Definition at line 1737 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_htb_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_htb_hclk | ( | void |  | ) |

Disabling force to turn off the clock for Hopping Table.

Register | BitsName
--- | ---
CG_CTRL_1 | HTB_HCLK

Return values

  None |

Definition at line 1537 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_i2c0_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_i2c0_hclk | ( | void |  | ) |

Disabling force to turn off the clock for I2C0.

Register | BitsName
--- | ---
PERIPH_GC | I2C0_HCLK

Return values

  None |

Definition at line 2287 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_i2c1_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_i2c1_hclk | ( | void |  | ) |

Disabling force to turn off the clock for I2C1.

Register | BitsName
--- | ---
PERIPH_GC | I2C1_HCLK

Return values

  None |

Definition at line 2337 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_i2s_m_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_i2s_m_hclk | ( | void |  | ) |

Disabling force to turn off the clock for I2S master.

Register | BitsName
--- | ---
PERIPH_GC | I2S_HCLK

Return values

  None |

Definition at line 2587 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_i2s_s_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_i2s_s_hclk | ( | void |  | ) |

Disabling force to turn off the clock for I2S slave.

Register | BitsName
--- | ---
CG_CTRL_1 | I2S_S_HCLK

Return values

  None |

Definition at line 1987 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_pwm_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_pwm_hclk | ( | void |  | ) |

Disabling force to turn off the clock for PWM.

Register | BitsName
--- | ---
CG_CTRL_1 | PWM_HCLK

Return values

  None |

Definition at line 1587 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_qspi0_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_qspi0_hclk | ( | void |  | ) |

Disabling force to turn off the clock for QSPI0.

Register | BitsName
--- | ---
PERIPH_GC | QSPI0_HCLK

Return values

  None |

Definition at line 2487 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_qspi1_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_qspi1_hclk | ( | void |  | ) |

Disabling force to turn off the clock for QSPI1.

Register | BitsName
--- | ---
PERIPH_GC | QSPI1_HCLK

Return values

  None |

Definition at line 2537 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_rom_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_rom_hclk | ( | void |  | ) |

Disabling force to turn off the clock for ROM.

Register | BitsName
--- | ---
CG_CTRL_1 | ROM_HCLK

Return values

  None |

Definition at line 1637 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_secu_div4_pclk()

__STATIC_INLINE void ll_cgc_disable_force_off_secu_div4_pclk | ( | void |  | ) |

Disabling force to turn off the div4 clock for security blocks.

Register | BitsName
--- | ---
PERIPH_GC | I2S_HCLK

Return values

  None |

Definition at line 2637 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_secu_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_secu_hclk | ( | void |  | ) |

Disabling force to turn off the clock for security blocks(including AES, PKC, Present, HMAC).

Register | BitsName
--- | ---
CG_CTRL_1 | SECU_HCLK

Return values

  None |

Definition at line 1437 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_serial_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_serial_hclk | ( | void |  | ) |

Disabling force to turn off the clock for serial blocks(including I2C, UART, QSPI, I2S, SPI).

Register | BitsName
--- | ---
CG_CTRL_1 | SERIAL_HCLK

Return values

  None |

Definition at line 1937 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_sim_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_sim_hclk | ( | void |  | ) |

Disabling force to turn off the clock for SIM.

Register | BitsName
--- | ---
CG_CTRL_1 | SIM_HCLK

Return values

  None |

Definition at line 1487 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_snsadc_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_snsadc_hclk | ( | void |  | ) |

Disabling force to turn off the clock for SNSADC.

Register | BitsName
--- | ---
CG_CTRL_1 | SNSADC_HCLK

Return values

  None |

Definition at line 1687 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_spim_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_spim_hclk | ( | void |  | ) |

Disabling force to turn off the clock for SPIM.

Register | BitsName
--- | ---
PERIPH_GC | SPIM_HCLK

Return values

  None |

Definition at line 2387 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_spis_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_spis_hclk | ( | void |  | ) |

Disabling force to turn off the clock for SPIS.

Register | BitsName
--- | ---
PERIPH_GC | SPIS_HCLK

Return values

  None |

Definition at line 2437 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_sram_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_sram_hclk | ( | void |  | ) |

Disabling force to turn off the clock for SRAM.

Register | BitsName
--- | ---
CG_CTRL_2 | SRAM_HCLK

Return values

  None |

Definition at line 2137 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_uart0_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_uart0_hclk | ( | void |  | ) |

Disabling force to turn off the clock for UART0.

Register | BitsName
--- | ---
PERIPH_GC | UART0_HCLK

Return values

  None |

Definition at line 2187 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_uart1_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_uart1_hclk | ( | void |  | ) |

Disabling force to turn off the clock for UART1.

Register | BitsName
--- | ---
PERIPH_GC | UART1_HCLK

Return values

  None |

Definition at line 2237 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_force_off_xqspi_hclk()

__STATIC_INLINE void ll_cgc_disable_force_off_xqspi_hclk | ( | void |  | ) |

Disabling force to turn off the clock for XQSPI.

Register | BitsName
--- | ---
CG_CTRL_2 | XF_XQSPI_HCLK

Return values

  None |

Definition at line 2087 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_aon_mcusub_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_aon_mcusub_hclk | ( | void |  | ) |

Disable AON_MUCSUB automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK

Return values

  None |

Definition at line 1198 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_apb_sub_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_apb_sub_hclk | ( | void |  | ) |

Disable APB Subsystem automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | APB_SUB_HCLK

Return values

  None |

Definition at line 1059 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_ble_brg_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_ble_brg_hclk | ( | void |  | ) |

Disable BLE Bridge automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | BLE_BRG_HCLK

Return values

  None |

Definition at line 1013 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_dma_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_dma_hclk | ( | void |  | ) |

Disable DMA automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | DMA_HCLK

Return values

  None |

Definition at line 967 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_gpio_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_gpio_hclk | ( | void |  | ) |

Disable GPIO automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | GPIO_HCLK

Return values

  None |

Definition at line 921 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_htb_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_htb_hclk | ( | void |  | ) |

Disable Hopping Table automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | HTB_HCLK

Return values

  None |

Definition at line 737 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_i2s_s_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_i2s_s_hclk | ( | void |  | ) |

Disable I2S slave automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | I2S_S_HCLK

Return values

  None |

Definition at line 1152 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_pwm_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_pwm_hclk | ( | void |  | ) |

Disable PWM automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | PWM_HCLK

Return values

  None |

Definition at line 783 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_rom_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_rom_hclk | ( | void |  | ) |

Disable ROM automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | ROM_HCLK

Return values

  None |

Definition at line 829 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_secu_div4_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_secu_div4_hclk | ( | void |  | ) |

Disable security blocks automatic turn off div4 clock during WFI.

Register | BitsName
--- | ---
PERIPH_GC | SECU_DIV4_PCLK

Return values

  None |

Definition at line 1336 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_secu_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_secu_hclk | ( | void |  | ) |

Disable security blocks(including AES, PKC, Present, HMAC) automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | SECU_HCLK

Return values

  None |

Definition at line 645 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_serial_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_serial_hclk | ( | void |  | ) |

Disable serial blocks(including I2C, UART, QSPI, I2S, SPI) automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | SERIAL_HCLK

Return values

  None |

Definition at line 1105 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_sim_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_sim_hclk | ( | void |  | ) |

Disable SIM automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | SIM_HCLK

Return values

  None |

Definition at line 691 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_snsadc_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_snsadc_hclk | ( | void |  | ) |

Disable SNSADC automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | SNSADC_HCLK

Return values

  None |

Definition at line 875 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_sram_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_sram_hclk | ( | void |  | ) |

Disable SRAM automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_2 | SRAM_HCLK

Return values

  None |

Definition at line 1290 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_xqspi_div4_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_xqspi_div4_hclk | ( | void |  | ) |

Disable XQSPI automatic turn off div4 clock during WFI.

Register | BitsName
--- | ---
PERIPH_GC | XQSPI_DIV4_PCLK

Return values

  None |

Definition at line 1387 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_disable_wfi_off_xqspi_hclk()

__STATIC_INLINE void ll_cgc_disable_wfi_off_xqspi_hclk | ( | void |  | ) |

Disable XQSPI automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_2 | XF_XQSPI_HCLK

Return values

  None |

Definition at line 1244 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_aon_mcusub_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_aon_mcusub_hclk | ( | void |  | ) |

Enabling force to turn off the clock for AON_MUCSUB.

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK

Return values

  None |

Definition at line 2019 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_apb_sub_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_apb_sub_hclk | ( | void |  | ) |

Enabling force to turn off the clock for APB Subsystem.

Register | BitsName
--- | ---
CG_CTRL_1 | APB_SUB_HCLK

Return values

  None |

Definition at line 1869 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_ble_brg_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_ble_brg_hclk | ( | void |  | ) |

Enabling force to turn off the clock for BLE Bridge.

Register | BitsName
--- | ---
CG_CTRL_1 | BLE_BRG_HCLK

Return values

  None |

Definition at line 1819 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_dma_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_dma_hclk | ( | void |  | ) |

Enabling force to turn off the clock for DMA.

Register | BitsName
--- | ---
CG_CTRL_1 | DMA_HCLK

Return values

  None |

Definition at line 1769 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_gpio_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_gpio_hclk | ( | void |  | ) |

Enabling force to turn off the clock for GPIO.

Register | BitsName
--- | ---
CG_CTRL_1 | GPIO_HCLK

Return values

  None |

Definition at line 1719 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_htb_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_htb_hclk | ( | void |  | ) |

Enabling force to turn off the clock for Hopping Table.

Register | BitsName
--- | ---
CG_CTRL_1 | HTB_HCLK

Return values

  None |

Definition at line 1519 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_i2c0_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_i2c0_hclk | ( | void |  | ) |

Enabling force to turn off the clock for I2C0.

Register | BitsName
--- | ---
PERIPH_GC | I2C0_HCLK

Return values

  None |

Definition at line 2269 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_i2c1_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_i2c1_hclk | ( | void |  | ) |

Enabling force to turn off the clock for I2C1.

Register | BitsName
--- | ---
PERIPH_GC | I2C1_HCLK

Return values

  None |

Definition at line 2319 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_i2s_m_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_i2s_m_hclk | ( | void |  | ) |

Enabling force to turn off the clock for I2S master.

Register | BitsName
--- | ---
PERIPH_GC | I2S_HCLK

Return values

  None |

Definition at line 2569 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_i2s_s_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_i2s_s_hclk | ( | void |  | ) |

Enabling force to turn off the clock for I2S slave.

Register | BitsName
--- | ---
CG_CTRL_1 | I2S_S_HCLK

Return values

  None |

Definition at line 1969 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_pwm_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_pwm_hclk | ( | void |  | ) |

Enabling force to turn off the clock for PWM.

Register | BitsName
--- | ---
CG_CTRL_1 | PWM_HCLK

Return values

  None |

Definition at line 1569 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_qspi0_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_qspi0_hclk | ( | void |  | ) |

Enabling force to turn off the clock for QSPI0.

Register | BitsName
--- | ---
PERIPH_GC | QSPI0_HCLK

Return values

  None |

Definition at line 2469 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_qspi1_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_qspi1_hclk | ( | void |  | ) |

Enabling force to turn off the clock for QSPI1.

Register | BitsName
--- | ---
PERIPH_GC | QSPI1_HCLK

Return values

  None |

Definition at line 2519 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_rom_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_rom_hclk | ( | void |  | ) |

Enabling force to turn off the clock for ROM.

Register | BitsName
--- | ---
CG_CTRL_1 | ROM_HCLK

Return values

  None |

Definition at line 1619 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_secu_div4_pclk()

__STATIC_INLINE void ll_cgc_enable_force_off_secu_div4_pclk | ( | void |  | ) |

Enabling force to turn off the div4 clock for security blocks.

Register | BitsName
--- | ---
PERIPH_GC | I2S_HCLK

Return values

  None |

Definition at line 2619 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_secu_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_secu_hclk | ( | void |  | ) |

Enabling force to turn off the clock for security blocks(including AES, PKC, Present, HMAC).

Register | BitsName
--- | ---
CG_CTRL_1 | SECU_HCLK

Return values

  None |

Definition at line 1419 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_serial_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_serial_hclk | ( | void |  | ) |

Enabling force to turn off the clock for serial blocks(including I2C, UART, QSPI, I2S, SPI).

Register | BitsName
--- | ---
CG_CTRL_1 | SERIAL_HCLK

Return values

  None |

Definition at line 1919 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_sim_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_sim_hclk | ( | void |  | ) |

Enabling force to turn off the clock for SIM.

Register | BitsName
--- | ---
CG_CTRL_1 | SIM_HCLK

Return values

  None |

Definition at line 1469 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_snsadc_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_snsadc_hclk | ( | void |  | ) |

Enabling force to turn off the clock for SNSADC.

Register | BitsName
--- | ---
CG_CTRL_1 | SNSADC_HCLK

Return values

  None |

Definition at line 1669 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_spim_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_spim_hclk | ( | void |  | ) |

Enabling force to turn off the clock for SPIM.

Register | BitsName
--- | ---
PERIPH_GC | SPIM_HCLK

Return values

  None |

Definition at line 2369 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_spis_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_spis_hclk | ( | void |  | ) |

Enabling force to turn off the clock for SPIS.

Register | BitsName
--- | ---
PERIPH_GC | SPIS_HCLK

Return values

  None |

Definition at line 2419 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_sram_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_sram_hclk | ( | void |  | ) |

Enabling force to turn off the clock for SRAM.

Register | BitsName
--- | ---
CG_CTRL_2 | SRAM_HCLK

Return values

  None |

Definition at line 2119 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_uart0_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_uart0_hclk | ( | void |  | ) |

Enabling force to turn off the clock for UART0.

Register | BitsName
--- | ---
PERIPH_GC | UART0_HCLK

Return values

  None |

Definition at line 2169 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_uart1_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_uart1_hclk | ( | void |  | ) |

Enabling force to turn off the clock for UART1.

Register | BitsName
--- | ---
PERIPH_GC | UART1_HCLK

Return values

  None |

Definition at line 2219 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_force_off_xqspi_hclk()

__STATIC_INLINE void ll_cgc_enable_force_off_xqspi_hclk | ( | void |  | ) |

Enabling force to turn off the clock for XQSPI.

Register | BitsName
--- | ---
CG_CTRL_2 | XF_XQSPI_HCLK

Return values

  None |

Definition at line 2069 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_aon_mcusub_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_aon_mcusub_hclk | ( | void |  | ) |

Enable AON_MUCSUB automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK

Return values

  None |

Definition at line 1182 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_apb_sub_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_apb_sub_hclk | ( | void |  | ) |

Enable APB Subsystem automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | APB_SUB_HCLK

Return values

  None |

Definition at line 1043 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_ble_brg_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_ble_brg_hclk | ( | void |  | ) |

Enable BLE Bridge automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | BLE_BRG_HCLK

Return values

  None |

Definition at line 997 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_dma_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_dma_hclk | ( | void |  | ) |

Enable DMA automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | DMA_HCLK

Return values

  None |

Definition at line 951 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_gpio_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_gpio_hclk | ( | void |  | ) |

Enable GPIO automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | GPIO_HCLK

Return values

  None |

Definition at line 905 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_htb_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_htb_hclk | ( | void |  | ) |

Enable Hopping Table automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | HTB_HCLK

Return values

  None |

Definition at line 721 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_i2s_s_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_i2s_s_hclk | ( | void |  | ) |

Enable I2S slave automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | I2S_S_HCLK

Return values

  None |

Definition at line 1136 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_pwm_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_pwm_hclk | ( | void |  | ) |

Enable PWM automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | PWM_HCLK

Return values

  None |

Definition at line 767 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_rom_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_rom_hclk | ( | void |  | ) |

Enable ROM automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | ROM_HCLK

Return values

  None |

Definition at line 813 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_secu_div4_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_secu_div4_hclk | ( | void |  | ) |

Enable security blocks automatic turn off div4 clock during WFI.

Register | BitsName
--- | ---
PERIPH_GC | SECU_DIV4_PCLK

Return values

  None |

Definition at line 1320 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_secu_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_secu_hclk | ( | void |  | ) |

Enable security blocks(including AES, PKC, Present, HMAC) automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | SECU_HCLK

Return values

  None |

Definition at line 629 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_serial_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_serial_hclk | ( | void |  | ) |

Enable serial blocks(including I2C, UART, QSPI, I2S, SPI) automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | SERIAL_HCLK

Return values

  None |

Definition at line 1089 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_sim_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_sim_hclk | ( | void |  | ) |

Enable SIM automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | SIM_HCLK

Return values

  None |

Definition at line 675 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_snsadc_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_snsadc_hclk | ( | void |  | ) |

Enable SNSADC automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_0 | SNSADC_HCLK

Return values

  None |

Definition at line 859 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_sram_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_sram_hclk | ( | void |  | ) |

Enable SRAM automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_2 | SRAM_HCLK

Return values

  None |

Definition at line 1274 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_xqspi_div4_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_xqspi_div4_hclk | ( | void |  | ) |

Enable XQSPI automatic turn off div4 clock during WFI.

Register | BitsName
--- | ---
PERIPH_GC | XQSPI_DIV4_PCLK

Return values

  None |

Definition at line 1369 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_enable_wfi_off_xqspi_hclk()

__STATIC_INLINE void ll_cgc_enable_wfi_off_xqspi_hclk | ( | void |  | ) |

Enable XQSPI automatic turn off clock during WFI.

Register | BitsName
--- | ---
CG_CTRL_2 | XF_XQSPI_HCLK

Return values

  None |

Definition at line 1228 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_get_force_off_hclk_0()

__STATIC_INLINE uint32_t ll_cgc_get_force_off_hclk_0 | ( | void |  | ) |

Return to clock blocks that was forcibly closed.

(Include: Security/SIM/HTB/PWM/ ROM/SNSADC/GPIO/DMA/BLE_BRG/APB_SUB/SERIAL/I2S)

Register | BitsName
--- | ---
CG_CTRL_1 | SECU_HCLK
CG_CTRL_1 | SIM_HCLK
CG_CTRL_1 | HTB_HCLK
CG_CTRL_1 | PWM_HCLK
CG_CTRL_1 | ROM_HCLK
CG_CTRL_1 | SNSADC_HCLK
CG_CTRL_1 | GPIO_HCLK
CG_CTRL_1 | DMA_HCLK
CG_CTRL_1 | BLE_BRG_HCLK
CG_CTRL_1 | APB_SUB_HCLK
CG_CTRL_1 | SERIAL_HCLK
CG_CTRL_1 | I2S_S_HCLK

Return values

  Returned | value can be a combination of the following values: LL_CGC_FRC_SECU_HCLK LL_CGC_FRC_SIM_HCLK LL_CGC_FRC_HTB_HCLK LL_CGC_FRC_PWM_HCLK LL_CGC_FRC_ROM_HCLK LL_CGC_FRC_SNSADC_HCLK LL_CGC_FRC_GPIO_HCLK LL_CGC_FRC_DMA_HCLK LL_CGC_FRC_BLE_BRG_HCLK LL_CGC_FRC_APB_SUB_HCLK LL_CGC_FRC_SERIAL_HCLK LL_CGC_FRC_I2S_S_HCLK

Definition at line 498 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_get_force_off_hclk_1()

__STATIC_INLINE uint32_t ll_cgc_get_force_off_hclk_1 | ( | void |  | ) |

Return to clock blocks that was forcibly closed.

(Include: AON_MCUSUB/XF_XQSPI/SRAM)

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK
CG_CTRL_2 | XF_XQSPI_HCLK
CG_CTRL_2 | SRAM_HCLK

Return values

  Returned | value can be a combination of the following values: LL_CGC_FRC_AON_MCUSUB_HCLK LL_CGC_FRC_XF_XQSPI_HCLK LL_CGC_FRC_SRAM_HCLK

Definition at line 540 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_get_force_off_hclk_2()

__STATIC_INLINE uint32_t ll_cgc_get_force_off_hclk_2 | ( | void |  | ) |

Return to clock blocks that was forcibly closed.

(Include: UART0_HCLK/UART1_HCLK/I2C0_HCLK/ I2C1_HCLK/SPIM_HCLK/SPIS_HCLK/QSPI0_HCLK/QSPI1_HCLK/I2S_HCLK/SECU_DIV4_PCLK/XQSPI_DIV4_PCLK)

Register | BitsName
--- | ---
PERIPH_GC | UART0_HCLK
PERIPH_GC | UART1_HCLK
PERIPH_GC | I2C0_HCLK
PERIPH_GC | I2C1_HCLK
PERIPH_GC | SPIM_HCLK
PERIPH_GC | SPIS_HCLK
PERIPH_GC | QSPI0_HCLK
PERIPH_GC | QSPI1_HCLK
PERIPH_GC | I2S_HCLK
PERIPH_GC | SECU_DIV4_PCLK
PERIPH_GC | XQSPI_DIV4_PCLK

Return values

  Returned | value can be a combination of the following values: LL_CGC_FRC_UART0_HCLK LL_CGC_FRC_UART1_HCLK LL_CGC_FRC_I2C0_HCLK LL_CGC_FRC_I2C1_HCLK LL_CGC_FRC_SPIM_HCLK LL_CGC_FRC_SPIS_HCLK LL_CGC_FRC_QSPI0_HCLK LL_CGC_FRC_QSPI1_HCLK LL_CGC_FRC_I2S_HCLK LL_CGC_FRC_SECU_DIV4_PCLK LL_CGC_FRC_XQSPI_DIV4_PCLK

Definition at line 615 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_get_wfi_off_hclk_0()

__STATIC_INLINE uint32_t ll_cgc_get_wfi_off_hclk_0 | ( | void |  | ) |

Return to clock blocks that is turned off during WFI.

(Include: Security/SIM/HTB/PWM/ ROM/SNSADC/GPIO/DMA/BLE_BRG/APB_SUB/SERIAL/I2S)

Register | BitsName
--- | ---
CG_CTRL_0 | SECU_HCLK
CG_CTRL_0 | SIM_HCLK
CG_CTRL_0 | HTB_HCLK
CG_CTRL_0 | PWM_HCLK
CG_CTRL_0 | ROM_HCLK
CG_CTRL_0 | SNSADC_HCLK
CG_CTRL_0 | GPIO_HCLK
CG_CTRL_0 | DMA_HCLK
CG_CTRL_0 | BLE_BRG_HCLK
CG_CTRL_0 | APB_SUB_HCLK
CG_CTRL_0 | SERIAL_HCLK
CG_CTRL_0 | I2S_S_HCLK

Return values

  Returned | value can be a combination of the following values: LL_CGC_WFI_SECU_HCLK LL_CGC_WFI_SIM_HCLK LL_CGC_WFI_HTB_HCLK LL_CGC_WFI_PWM_HCLK LL_CGC_WFI_ROM_HCLK LL_CGC_WFI_SNSADC_HCLK LL_CGC_WFI_GPIO_HCLK LL_CGC_WFI_DMA_HCLK LL_CGC_WFI_BLE_BRG_HCLK LL_CGC_WFI_APB_SUB_HCLK LL_CGC_WFI_SERIAL_HCLK LL_CGC_WFI_I2S_S_HCLK

Definition at line 342 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_get_wfi_off_hclk_1()

__STATIC_INLINE uint32_t ll_cgc_get_wfi_off_hclk_1 | ( | void |  | ) |

Return to clock blocks that is turned off during WFI.

(Include: AON_MCUSUB/XF_XQSPI/SRAM)

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK
CG_CTRL_2 | XF_XQSPI_HCLK
CG_CTRL_2 | SRAM_HCLK

Return values

  Returned | value can be a combination of the following values: LL_CGC_WFI_AON_MCUSUB_HCLK LL_CGC_WFI_XF_XQSPI_HCLK LL_CGC_WFI_SRAM_HCLK

Definition at line 384 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_get_wfi_off_hclk_2()

__STATIC_INLINE uint32_t ll_cgc_get_wfi_off_hclk_2 | ( | void |  | ) |

Return to clock blocks that is turned off during WFI.

(Include: AON_MCUSUB/XF_XQSPI/SRAM)

Register | BitsName
--- | ---
PERIPH_GC | SECU_DIV4_PCLK
PERIPH_GC | XQSPI_DIV4_PCLK

Return values

  Returned | value can be a combination of the following values: LL_CGC_WFI_SECU_DIV4_PCLK LL_CGC_WFI_XQSPI_DIV4_PCLK

Definition at line 421 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_aon_mcusub_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_aon_mcusub_hclk | ( | void |  | ) |

Indicate whether the clock for AON_MUCSUB is forced to close.

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2055 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_apb_sub_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_apb_sub_hclk | ( | void |  | ) |

Indicate whether the clock for APB Subsystem is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | APB_SUB_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1905 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_ble_brg_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_ble_brg_hclk | ( | void |  | ) |

Indicate whether the clock for BLE Bridge is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | BLE_BRG_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1855 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_dma_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_dma_hclk | ( | void |  | ) |

Indicate whether the clock for DMA is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | DMA_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1805 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_gpio_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_gpio_hclk | ( | void |  | ) |

Indicate whether the clock for GPIO is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | GPIO_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1755 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_htb_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_htb_hclk | ( | void |  | ) |

Indicate whether the clock for Hopping Table is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | HTB_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1555 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_i2c0_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_i2c0_hclk | ( | void |  | ) |

Indicate whether the clock for I2C0 is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | I2C0_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2305 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_i2c1_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_i2c1_hclk | ( | void |  | ) |

Indicate whether the clock for I2C1 is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | I2C1_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2355 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_i2s_m_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_i2s_m_hclk | ( | void |  | ) |

Indicate whether the clock for I2S master is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | I2S_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2605 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_i2s_s_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_i2s_s_hclk | ( | void |  | ) |

Indicate whether the clock for I2S slave is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | I2S_S_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2005 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_pwm_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_pwm_hclk | ( | void |  | ) |

Indicate whether the clock for PWM is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | PWM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1605 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_qspi0_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_qspi0_hclk | ( | void |  | ) |

Indicate whether the clock for QSPI0 is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | QSPI0_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2505 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_qspi1_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_qspi1_hclk | ( | void |  | ) |

Indicate whether the clock for QSPI1 is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | QSPI1_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2555 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_rom_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_rom_hclk | ( | void |  | ) |

Indicate whether the clock for ROM is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | ROM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1655 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_secu_div4_pclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_secu_div4_pclk | ( | void |  | ) |

Indicate whether the div4 clock for security blocks is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | I2S_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2655 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_secu_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_secu_hclk | ( | void |  | ) |

Indicate whether the clock for security blocks(including AES, PKC, Present, HMAC) is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | SECU_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1455 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_serial_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_serial_hclk | ( | void |  | ) |

Indicate whether the clock for serial blocks(including I2C, UART, QSPI, I2S, SPI) is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | SERIAL_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1955 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_sim_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_sim_hclk | ( | void |  | ) |

Indicate whether the clock for SIM is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | SIM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1505 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_snsadc_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_snsadc_hclk | ( | void |  | ) |

Indicate whether the clock for SNSADC is forced to close.

Register | BitsName
--- | ---
CG_CTRL_1 | SNSADC_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1705 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_spim_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_spim_hclk | ( | void |  | ) |

Indicate whether the clock for SPIM is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | SPIM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2405 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_spis_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_spis_hclk | ( | void |  | ) |

Indicate whether the clock for SPIS is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | SPIS_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2455 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_sram_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_sram_hclk | ( | void |  | ) |

Indicate whether the clock for SRAM is forced to close.

Register | BitsName
--- | ---
CG_CTRL_2 | SRAM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2155 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_uart0_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_uart0_hclk | ( | void |  | ) |

Indicate whether the clock for UART0 is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | UART0_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2205 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_uart1_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_uart1_hclk | ( | void |  | ) |

Indicate whether the clock for UART1 is forced to close.

Register | BitsName
--- | ---
PERIPH_GC | UART1_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2255 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_force_off_xqspi_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_force_off_xqspi_hclk | ( | void |  | ) |

Indicate whether the clock for XQSPI is forced to close.

Register | BitsName
--- | ---
CG_CTRL_2 | XF_XQSPI_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 2105 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_aon_mcusub_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_aon_mcusub_hclk | ( | void |  | ) |

Indicate whether the AON_MUCSUB automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1214 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_apb_sub_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_apb_sub_hclk | ( | void |  | ) |

Indicate whether the APB Subsystem automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | APB_SUB_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1075 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_ble_brg_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_ble_brg_hclk | ( | void |  | ) |

Indicate whether the BLE Bridge automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | BLE_BRG_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1029 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_dma_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_dma_hclk | ( | void |  | ) |

Indicate whether the DMA automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | DMA_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 983 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_gpio_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_gpio_hclk | ( | void |  | ) |

Indicate whether the GPIO automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | GPIO_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 937 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_htb_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_htb_hclk | ( | void |  | ) |

Indicate whether the Hopping Table automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | HTB_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 753 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_i2s_s_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_i2s_s_hclk | ( | void |  | ) |

Indicate whether the I2S slave automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | I2S_S_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1168 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_pwm_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_pwm_hclk | ( | void |  | ) |

Indicate whether the PWM automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | PWM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 799 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_rom_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_rom_hclk | ( | void |  | ) |

Indicate whether the ROM automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | ROM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 845 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_secu_div4_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_secu_div4_hclk | ( | void |  | ) |

Indicate whether the security blocks automatic turn off div4 clock is enabled.

Register | BitsName
--- | ---
PERIPH_GC | SECU_DIV4_PCLK

Return values

  State | of bit (1 or 0).

Definition at line 1355 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_secu_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_secu_hclk | ( | void |  | ) |

Indicate whether the security blocks(including AES, PKC, Present, HMAC) automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | SECU_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 661 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_serial_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_serial_hclk | ( | void |  | ) |

Indicate whether the serial blocks(including I2C, UART, QSPI, I2S, SPI) automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | SERIAL_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1122 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_sim_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_sim_hclk | ( | void |  | ) |

Indicate whether the SIM automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | SIM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 707 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_snsadc_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_snsadc_hclk | ( | void |  | ) |

Indicate whether the SNSADC automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_0 | SNSADC_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 891 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_sram_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_sram_hclk | ( | void |  | ) |

Indicate whether the SRAM automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_2 | SRAM_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1306 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_xqspi_div4_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_xqspi_div4_hclk | ( | void |  | ) |

Indicate whether the XQSPI automatic turn off div4 clock is enabled.

Register | BitsName
--- | ---
PERIPH_GC | XQSPI_DIV4_PCLK

Return values

  State | of bit (1 or 0).

Definition at line 1405 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_is_enabled_wfi_off_xqspi_hclk()

__STATIC_INLINE uint32_t ll_cgc_is_enabled_wfi_off_xqspi_hclk | ( | void |  | ) |

Indicate whether the XQSPI automatic turn off clock is enabled.

Register | BitsName
--- | ---
CG_CTRL_2 | XF_XQSPI_HCLK

Return values

  State | of bit (1 or 0).

Definition at line 1260 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_set_force_off_hclk_0()

__STATIC_INLINE void ll_cgc_set_force_off_hclk_0 | ( | uint32_t | clk_mask | ) |

Some peripherals force turn off clock.

(Include: Security/SIM/HTB/PWM/ROM/SNSADC/GPIO/ DMA/BLE_BRG/APB_SUB/SERIAL/I2S)

Register | BitsName
--- | ---
CG_CTRL_1 | SECU_HCLK
CG_CTRL_1 | SIM_HCLK
CG_CTRL_1 | HTB_HCLK
CG_CTRL_1 | PWM_HCLK
CG_CTRL_1 | ROM_HCLK
CG_CTRL_1 | SNSADC_HCLK
CG_CTRL_1 | GPIO_HCLK
CG_CTRL_1 | DMA_HCLK
CG_CTRL_1 | BLE_BRG_HCLK
CG_CTRL_1 | APB_SUB_HCLK
CG_CTRL_1 | SERIAL_HCLK
CG_CTRL_1 | I2S_S_HCLK

Parameters

  clk_mask | This parameter can be a combination of the following values: LL_CGC_FRC_SECU_HCLK LL_CGC_FRC_SIM_HCLK LL_CGC_FRC_HTB_HCLK LL_CGC_FRC_PWM_HCLK LL_CGC_FRC_ROM_HCLK LL_CGC_FRC_SNSADC_HCLK LL_CGC_FRC_GPIO_HCLK LL_CGC_FRC_DMA_HCLK LL_CGC_FRC_BLE_BRG_HCLK LL_CGC_FRC_APB_SUB_HCLK LL_CGC_FRC_SERIAL_HCLK LL_CGC_FRC_I2S_S_HCLK

Return values

  None |

Definition at line 460 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_set_force_off_hclk_1()

__STATIC_INLINE void ll_cgc_set_force_off_hclk_1 | ( | uint32_t | clk_mask | ) |

Some peripherals force turn off clock.

(Include: AON_MCUSUB/XF_XQSPI/SRAM)

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK
CG_CTRL_2 | XF_XQSPI_HCLK
CG_CTRL_2 | SRAM_HCLK

Parameters

  clk_mask | This parameter can be a combination of the following values: LL_CGC_FRC_AON_MCUSUB_HCLK LL_CGC_FRC_XF_XQSPI_HCLK LL_CGC_FRC_SRAM_HCLK

Return values

  None |

Definition at line 519 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_set_force_off_hclk_2()

__STATIC_INLINE void ll_cgc_set_force_off_hclk_2 | ( | uint32_t | clk_mask | ) |

Some peripherals force turn off clock.

(Include: UART0_HCLK/UART1_HCLK/I2C0_HCLK/ I2C1_HCLK/SPIM_HCLK/SPIS_HCLK/QSPI0_HCLK/QSPI1_HCLK/I2S_HCLK/SECU_DIV4_PCLK/XQSPI_DIV4_PCLK)

Register | BitsName
--- | ---
PERIPH_GC | UART0_HCLK
PERIPH_GC | UART1_HCLK
PERIPH_GC | I2C0_HCLK
PERIPH_GC | I2C1_HCLK
PERIPH_GC | SPIM_HCLK
PERIPH_GC | SPIS_HCLK
PERIPH_GC | QSPI0_HCLK
PERIPH_GC | QSPI1_HCLK
PERIPH_GC | I2S_HCLK
PERIPH_GC | SECU_DIV4_PCLK
PERIPH_GC | XQSPI_DIV4_PCLK

Parameters

  clk_mask | This parameter can be a combination of the following values: LL_CGC_FRC_UART0_HCLK LL_CGC_FRC_UART1_HCLK LL_CGC_FRC_I2C0_HCLK LL_CGC_FRC_I2C1_HCLK LL_CGC_FRC_SPIM_HCLK LL_CGC_FRC_SPIS_HCLK LL_CGC_FRC_QSPI0_HCLK LL_CGC_FRC_QSPI1_HCLK LL_CGC_FRC_I2S_HCLK LL_CGC_FRC_SECU_DIV4_PCLK LL_CGC_FRC_XQSPI_DIV4_PCLK

Return values

  None |

Definition at line 577 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_set_wfi_off_hclk_0()

__STATIC_INLINE void ll_cgc_set_wfi_off_hclk_0 | ( | uint32_t | clk_mask | ) |

Some peripherals automatic turn off clock during WFI.

(Include: Security/SIM/HTB/PWM/ ROM/SNSADC/GPIO/DMA/BLE_BRG/APB_SUB/SERIAL/I2S)

Register | BitsName
--- | ---
CG_CTRL_0 | SECU_HCLK
CG_CTRL_0 | SIM_HCLK
CG_CTRL_0 | HTB_HCLK
CG_CTRL_0 | PWM_HCLK
CG_CTRL_0 | ROM_HCLK
CG_CTRL_0 | SNSADC_HCLK
CG_CTRL_0 | GPIO_HCLK
CG_CTRL_0 | DMA_HCLK
CG_CTRL_0 | BLE_BRG_HCLK
CG_CTRL_0 | APB_SUB_HCLK
CG_CTRL_0 | SERIAL_HCLK
CG_CTRL_0 | I2S_S_HCLK

Parameters

  clk_mask | This parameter can be a combination of the following values: LL_CGC_WFI_SECU_HCLK LL_CGC_WFI_SIM_HCLK LL_CGC_WFI_HTB_HCLK LL_CGC_WFI_PWM_HCLK LL_CGC_WFI_ROM_HCLK LL_CGC_WFI_SNSADC_HCLK LL_CGC_WFI_GPIO_HCLK LL_CGC_WFI_DMA_HCLK LL_CGC_WFI_BLE_BRG_HCLK LL_CGC_WFI_APB_SUB_HCLK LL_CGC_WFI_SERIAL_HCLK LL_CGC_WFI_I2S_S_HCLK

Return values

  None |

Definition at line 304 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_set_wfi_off_hclk_1()

__STATIC_INLINE void ll_cgc_set_wfi_off_hclk_1 | ( | uint32_t | clk_mask | ) |

Some peripherals automatic turn off clock during WFI.

(Include: AON_MCUSUB/XF_XQSPI/SRAM)

Register | BitsName
--- | ---
CG_CTRL_2 | AON_MCUSUB_HCLK
CG_CTRL_2 | XF_XQSPI_HCLK
CG_CTRL_2 | SRAM_HCLK

Parameters

  clk_mask | This parameter can be a combination of the following values: LL_CGC_WFI_AON_MCUSUB_HCLK LL_CGC_WFI_XF_XQSPI_HCLK LL_CGC_WFI_SRAM_HCLK

Return values

  None |

Definition at line 363 of file gr55xx_ll_cgc.h.

## ◆ ll_cgc_set_wfi_off_hclk_2()

__STATIC_INLINE void ll_cgc_set_wfi_off_hclk_2 | ( | uint32_t | clk_mask | ) |

Some peripherals automatic turn off clock during WFI.

(Include: SECU_DIV4/XQSPI_DIV4)

Register | BitsName
--- | ---
PERIPH_GC | SECU_DIV4_PCLK
PERIPH_GC | XQSPI_DIV4_PCLK

Parameters

  clk_mask | This parameter can be a combination of the following values: LL_CGC_WFI_SECU_DIV4_PCLK LL_CGC_WFI_XQSPI_DIV4_PCLK

Return values

  None |

Definition at line 402 of file gr55xx_ll_cgc.h.